As a general rule, I provide only one version of my software, that is designed to work well on as wide a range of machines as possible. The software on this site currently targets devices with a history that starts at Psion in the early 1990s, and I do not provide software for the Palm-OS family or Windows CE machines.

Devices that probably work with my software

In general all of my software (W2, EikonWizard and DXMFilter are the main exceptions) work on any EPOC device. TheDialer requires version 5 or higher. Text in the table below summarises this:

EPOC Psion '3 Series' Other
v1-v4 v5
DXMFilter Windows NT 4, Windows 95, 98, ME, 2000
EikonWizard Windows NT 4, Windows 95, 98, ME, 2000
JTelnet yes yes
nCalc yes yes
StationClock v1-v3 yes
StationeryPad yes yes
TheDialer yes
W2 yes
Yahoo Maps yes yes

Note that StationClock does not appear to run on EPOC release 4, ie the Oregon Osaris.

Blank table entries indicate that the software will not run, 'yes' indicates that it will run.

Devices that won't work with my software

This page © John McAleely, July 2001